Subject: Recompiled with proper debugging flags and found the offending object

From: Lynn Winebarger <[email-masked]>
Date: Wed, 27 Jul 2022 19:06:28 -0400

The cyclic object is a record with the type field (index 0) set to the
eieio-default-class, which has the cyclic record at index 10.
I don't know if this is a bug in itself or not.  I put a check for
this case in purecopy (splitting off the RECORDP case), printing a
message whenever a record with a non-symbol entry 0 is encountered.
So far it's only this one.
Also, it seems weird this was not an issue for the build with native
compilation enabled.

Lynn